MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ExcludeList Class Reference

`#include <ExcludeList.hxx>`

## Public Member Functions
| ExcludeList ()
| ExcludeList (const ExcludeList &_parent)
gcc_pure bool | IsEmpty () const
bool | LoadFile (Path path_fs)
| Loads and parses a .mpdignore file. More...
bool | Check (Path name_fs) const
| Checks whether one of the patterns in the .mpdignore file matches the specified file name. More...

## Detailed Description

Definition at line 38 of file ExcludeList.hxx.

## Constructor & Destructor Documentation

ExcludeList::ExcludeList | ( |  | ) |
| inline

Definition at line 46 of file ExcludeList.hxx.

ExcludeList::ExcludeList | ( | const ExcludeList & | _parent | ) |
| inline

Definition at line 49 of file ExcludeList.hxx.

## Member Function Documentation

bool ExcludeList::Check | ( | Path | name_fs | ) | const

Checks whether one of the patterns in the .mpdignore file matches the specified file name.

gcc_pure bool ExcludeList::IsEmpty | ( |  | ) | const
| inline

Definition at line 53 of file ExcludeList.hxx.

bool ExcludeList::LoadFile | ( | Path | path_fs | ) |

Loads and parses a .mpdignore file.

The documentation for this class was generated from the following file:

- db/update/ExcludeList.hxx